import sys
import importlib

sys.path.append('../sri-pysdk')

methods = importlib.import_module(f"xlib")


class Global(object):
    """
    """

    # --- 公司内网测试服务器 ---
    save_dir = r'C:\logs'  # sri内网测试环境
    emqx_factory = importlib.import_module(f"xclient.xmqtt")
    emqx_host = '127.0.0.1'
    emqx_port = 41883

    # --- 湛江现场 ----
    # save_dir = r'E:\logs'  # 容量为512G
    # emqx_factory = importlib.import_module(f"xclient.xmqtt")
    # emqx_host = '127.0.0.1'
    # emqx_port = 41881

    # --- 定时执行组件 ---
    aps = importlib.import_module(f"xpip.xapscheduler").APS(db_type='mongo',
                                                            db_host='127.0.0.1',
                                                            db_port=47017,
                                                            username='admin', password='admin',
                                                            database='bg', collection='LoopTask')

    # --- 业务数据数据库 ---
    mdb = importlib.import_module(f"xclient.xmongo").Client(host='127.0.0.1', port=47017, database='bg',
                                                            username='admin', password='admin')
