#### 车端控制消息

~~~
mqtt服务地址：10.10.60.237（sri内网测试服务器）
mqtt服务端口：41883
mqtt话题：Vehicle/ControlVehicle/Veh001
mqtt消息注释（json字符串）：
{
  'baseControl': [
    {
      'directSwitch': 1,  //前后切换
      'eStop': 1,  //急停开关
      'gearCaontrol': 1,  //车辆档位控制
      'hazardLight': 1,  //双闪灯
      'keyStatus': 0,  //钥匙状态
      'parkControl': 1,  //驻车控制
      'silencedAlarm': 2,  //消报警音按钮
      'travelLight': 2,  //行驶灯光
      'travelMode': 1,  //驾驶模式
      'vehicleHorn': 2  //喇叭
    }
  ],  //车辆基本状态控制

  'driveControl': [
    {
      'accPedal': [
        {
          'accPedalF': 2000,  //手油门
          'accPedalH': 2000  //脚油门
        }
      ],  //油门踏板
      'brakePedal': 0,  //刹车踏板
      'steeringWheel': 200,  //方向盘转速
      'turnMode': 15,  //转向模式
      'turnSignal': 0  //转向灯
    }
  ],  //车辆行驶控制
  'errCode': [
    {
      'errAccPedal': 0,  //油门信号故障
      'errBasOperation': 0,  //基本操作故障
      'errBrakePedal': 1,  //刹车信号故障
      'errEndTool': 0,  //末端工具控制故障
      'errHandle': 0,  //手柄信号故障
      'errOther': 0,  //其他故障
      'errSteeringWheel': 1  //转向故障
    }
  ],  //舱端故障报警
  'taskControl': [
    {
      'baseLegControl': 3000,  //支腿动作控制
      'baseLegSwitch': 8,  //支腿选择开关
      'bypassSwitch': 1,  //旁通开关
      'cabLift': 1,  //驾驶室升降机构
      'coopSignal': 1,  //协同作业信号
      'enableHydraulic': 1,  //液压使能开关
      'endJoint': 100,  //末端关节控制
      'esCabLift': 0,  //驾驶室应急下降开关
      'suckerSelect': 0,  //吸盘选择开关
      'taskJoint_1': 150,  //第一个作业关节控制
      'taskJoint_2': 180,  //第二个作业关节控制
      'taskJoint_3': 210,  //第三个作业关节控制
      'toolControl': 200,  //末端工具控制
      'workLight': 1  //工作灯
    }
  ],
  'timestamp': '1729044838985',  //时间
  'VehicleID': 10101089,  //车id
  'cockpitID': 10101073,  //舱id
  'userID': 'aabbccddeeffgg'  //用户id
}
~~~

